Subject: bug#54487: 29.0.50; connection-local value for `shell-file-name' not set in Dired buffers over Tramp

From: Michael Albinus <[email-masked]>
Date: Mon, 21 Mar 2022 16:09:50 +0100

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

>> While I'm at this, I'm thinking whether I shall change computing of grep
>> defaults to connection-local variables. This would be more in line with
>> handling such local variables in recent Emacsen. WDYT?
>
> Probably.  But I don't have enough experience with remote processes,
> so it is probably best to wait for others to chime in.

OK. Anyway, I will push first a patch for the given bug. Other changes,
if any, will be different patches.

Best regards, Michael.